SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000289: Http Proxy status graphs not displaying values - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000289Endian FirewallGUIpublic2007-11-01 10:462007-12-31 19:11
Reporterclubbing80s 
Assigned Topeter-endian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-beta1 
Target VersionFixed in Version2.2-beta2 
Summary0000289: Http Proxy status graphs not displaying values
DescriptionHi
The proxy graphs, are not displaying any traffic / values
it reports as follows

Generated: Thu Nov 1 12:30:08 2007
Lines Analyzed: 7905 lines (7905 errors) <<< this would look like the rease
Analysis Duration: 1 seconds
Analysis Speed: 7905 lines/sec
Graph Start: Wed Oct 31 12:30:08 2007
Graph End: Thu Nov 1 12:30:08 2007
Graph Domain: 24 hours (86400 seconds)

and all the values for the graphs are 0
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000633)
peter-endian (administrator)
2007-11-08 15:56

Edit /usr/local/bin/makegraphs.pl and change thes lines according the following patch:

--- src/makegraphs.pl (revision 11224)
+++ src/makegraphs.pl (working copy)
@@ -458,8 +458,8 @@
 ###
 ### Squid Graphs
 ###
-if (fileStayInMemory("/var/log/squid/access.log")) {
- system ("/usr/bin/squid-graph -o=/home/httpd/html/sgraph --tcp-only < /var/log/squid/access.log >/dev/null 2>&1");
+if (fileStayInMemory("/var/log/squid/access.log_short")) {
+ system ("/usr/bin/squid-graph -o=/home/httpd/html/sgraph --tcp-only < /var/log/squid/access.log_short >/dev/null 2>&1");
 }
 
 ###

- Issue History
Date Modified Username Field Change
2007-11-01 10:46 clubbing80s New Issue
2007-11-07 23:12 peter-endian Status new => assigned
2007-11-07 23:12 peter-endian Assigned To => peter-endian
2007-11-08 15:56 peter-endian Status assigned => resolved
2007-11-08 15:56 peter-endian Fixed in Version => 2.2
2007-11-08 15:56 peter-endian Resolution open => fixed
2007-11-08 15:56 peter-endian Note Added: 0000633
2007-12-31 15:05 raphael-endian Fixed in Version 2.2-beta1 => 2.2-beta2
2007-12-31 19:11 raphael-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker